<?php
include 'core/sys.php';
head('Ремонт оружия');
reg();
echo '<div class="name">Ремонт оружия</div><div class="row">';
echo '<img src="img/other/npc/Fonzo.gif" alt=""> Фонзо<br>
Ну, что там у тебя? Показывай!<br>';
if($user['weapon']>0){
$weap_inv =  mysql_fetch_assoc(mysql_query("SELECT `img` FROM `inventory` WHERE `id`='".$user['weapon']."' LIMIT 1"));
$my_weapons = mysql_fetch_assoc(mysql_query("SELECT `krepost` FROM `inventory_user` WHERE `user_id`='".$user['id']."' AND `invent_id`='".$user['weapon']."' LIMIT 1"));
$weapon_remont = 2*$user['weapon']*(100-$my_weapons['krepost']);
	if(isset($_GET['ok']) AND $my_weapons['krepost'] <100){
		if($user['money']<$weapon_remont){
		echo 'Ничего не выйдет.У тебя мало денег! Накопи еще немного и приходи снова</div>';
		foot();
		exit;
		}
	echo 'Я Отремонтировал твое оружие!Теперь оно в полном порядке.</div>';
	mysql_query("UPDATE `inventory_user` SET `krepost`=100 WHERE `user_id`='".$user['id']."' AND `invent_id`='".$user['weapon']."'");
	mysql_query("UPDATE `users` SET `money`=`money`-".$weapon_remont." WHERE `id`='".$user['id']."'");
	foot();
	exit;
	}
echo '<img src="'.$weap_inv['img'].'" alt=""><br>Крепкость: '.$my_weapons['krepost'].'<br>';
	if($my_weapons['krepost'] <100){
	echo 'Ооо...Ремонт этой прелести обойдется тебе в <img src="img/money/money.png" alt=""> '.$weapon_remont.'<br>
	<a href="remont_weap.php?ok">Ну ладно.Я согласен</a><br>
	<a href="index.php">Да за такие деньги я лучше с поломанным похожу!</a><br>';
	
	}else{
	echo 'Твое оружие в полном порядке!';
	}
}else{
echo '<br>У тебя даже пушки нет! Не беспокой меня по пустякам!';
}
echo '</div>';

foot();
?>